/*
 *
 * City University of Hong Kong
 * ----------------------------
 * Chatbot CSS
 *
 */

/* ============================ Place your custom CSS here */

.chatbot-button-wrapper {
  position: fixed;
  /*right: 6px;*/
  right: 80px;
  bottom: 35px;
  z-index: 990;
  transition: bottom 0.8s ease;
}
.chatbot-button-wrapper img { 
width: 100%;
height: auto;
}

.chatbot-button {
  width: 96px;
  height: 96px;
  padding: 6px;
  border: 0;
  border-radius: 50%;
  /*background: #768fd6;*/
background: #becaec;
  transition: background 0.4s ease;
  color: #fff;
  cursor: pointer;
  animation-name: pulse;
  animation-iteration-count: infinite;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: both;
}
.chatbot-button:hover {
/*background: #004179; */
  background: #D7E9FC;
}
.chatbot-button-hide {
  bottom: -54px;
}
.chatbot-modal {
  display: block;
  position: fixed;
  /*z-index: 1000;*/
  z-index: 2000;
  right: 10px;
  /*right: 60px;*/
  bottom: -600px;
  transition: bottom 0.8s ease;
  width: 400px;
  /*width: 300px;*/
  max-width: calc(100% - 20px);
  height: 600px;  
  max-height: calc(100% - 20px);
  border: 1px solid rgba(0,0,0,.125);
  border-color: #c5c5c5;
  box-shadow: 0 0.05rem 0.5rem 0 rgba(115, 115, 115, 0.25);    
  overflow: auto;	
}
.chatbot-modal-active {
  bottom: 0px;
}
.chatbot-modal-content {
  padding: 0;
  border: 0;
  width: 100%;
  height: 100%;
  background-color: #fefefe;
}
.chatbot-modal-header {
  /*height: 20px;*/
  height: 40px;
  padding: 12px 20px;    
  background: #768fd6;
  color: #fff;
  z-index: 1010;	
}
.chatbot-modal-header img {
  width: 24px;
  height: 24px;
  margin-top: -4px;
  margin-right: 6px;
}
.chatbot-modal-header .close {
  color: #fff;
  float: right;
  font-size: 1.5rem;
  font-weight: bold;
  line-height: 1;
  color: #000;
  text-shadow: 0 1px 0 #fff;
  opacity: .5;	
}
.chatbot-modal-body {
  width: 100%;
  height: calc(100% - 48px);
  overflow: hidden;
}
.chatbot-iframe {
  width: 100%;
  height: 100%;  
  border: 0;
}

/* This block only applies when the user tries to print the page */
@media print {
    /* Replace '.chatbot-container' with the actual ID or class of the chatbot */
    .chatbot-modal, 
    .chatbot-button-wrapper, 
    .site-chatbot {
        display: none !important;
        visibility: hidden !important;
    }
}

/*#kb-chatbot-conversation-area .assistantDiv {  
  width: auto;
  max-width: 100% !important;
  position: relative;
  margin-left: 0px !important;  
  margin-bottom: 10px;
  margin-top: 10px;
  display: inline-block;
}

#kb-chatbot-conversation-area .contentDiv {
  width: 120% !important;
  height: auto;
  padding: 8px 18px;
  border-radius: 25px;
  overflow: auto;
}*/

@keyframes pulse {
  0% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
  }
  50% {
    -webkit-transform: scale3d(1.05,1.05,1.05);
    transform: scale3d(1.05,1.05,1.05);
  }
  100% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
  }
}